"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AntModelManager_1 = require("@antjs/ant-js/src/api/AntModelManager");
const SqlModelManager_1 = require("../persistence/primary/SqlModelManager");
const AntMySqlSecondaryEntityManager_1 = require("../persistence/secondary/AntMySqlSecondaryEntityManager");
const AntSQLiteSecondaryEntityManager_1 = require("../persistence/secondary/AntSQLiteSecondaryEntityManager");
const AntSqlSecondaryEntityManager_1 = require("../persistence/secondary/AntSqlSecondaryEntityManager");
const KnexDriver_1 = require("../persistence/secondary/KnexDriver");
class AntSqlModelManager extends AntModelManager_1.AntModelManager {
    insert(entity, cacheOptions) {
        return this.modelManager.insert(entity, cacheOptions);
    }
    mInsert(entities, cacheOptions) {
        return this.modelManager.mInsert(entities, cacheOptions);
    }
    _generateModelManager(model, config) {
        return new SqlModelManager_1.SqlModelManager(model, config.redis, this._generateSecondaryEntityManager(model, config), config.negativeCache);
    }
    _generateSecondaryEntityManager(model, config) {
        const knex = config.knex;
        switch (knex.client.driverName) {
            case KnexDriver_1.KnexDriver.MYSQL:
            case KnexDriver_1.KnexDriver.MYSQL2:
                return new AntMySqlSecondaryEntityManager_1.AntMySqlSecondaryEntityManager(model, knex);
            case KnexDriver_1.KnexDriver.SQLITE3:
                return new AntSQLiteSecondaryEntityManager_1.AntSQLiteSecondaryEntityManager(model, knex);
            default:
                return new AntSqlSecondaryEntityManager_1.AntSqlSecondaryEntityManager(model, knex);
        }
    }
}
exports.AntSqlModelManager = AntSqlModelManager;
//# sourceMappingURL=AntSqlModelManager.js.map