"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Model_1 = require("@antjs/ant-js/src/model/Model");
class AntSqlModel extends Model_1.Model {
    constructor(id, keyGen, columns, tableName) {
        super(id, keyGen);
        this._initializeColumns(columns);
        this._tableName = tableName;
    }
    get columns() {
        return this._columns;
    }
    get tableName() {
        return this._tableName;
    }
    getAutoGeneratedColumn() {
        return this._autoGeneratedColumn;
    }
    _initializeColumns(columns) {
        this._autoGeneratedColumn = null;
        this._columns = new Map();
        for (const column of columns) {
            if (null != column.autoGenerationStrategy) {
                if (null === this._autoGeneratedColumn) {
                    this._autoGeneratedColumn = column;
                }
                else {
                    throw new Error('Unexpected auto generated column. There is already an auto generated column in this model');
                }
            }
            this._columns.set(column.entityAlias, column);
        }
    }
}
exports.AntSqlModel = AntSqlModel;
//# sourceMappingURL=AntSqlModel.js.map