import { IEntity } from '@antjs/ant-js/src/model/IEntity';
import { AntSqlSecondaryEntityManager } from './AntSqlSecondaryEntityManager';

export class AntMySqlSecondaryEntityManager<TEntity extends IEntity>
  extends AntSqlSecondaryEntityManager<TEntity> {

  /**
   * @inheritdoc
   */
  public mInsert(entities: TEntity[]): Promise<any> {
    const autoGeneratedColumn = this.model.getAutoGeneratedColumn();
    if (null == autoGeneratedColumn) {
      return super.mInsert(entities);
    } else {
      return this
        ._helper
        .mInsertOnAutoincrementWithNoMultipleReturning(
          entities,
          autoGeneratedColumn,
        );
    }
  }
}
