import { IEntity } from '@antjs/ant-js/src/model/IEntity';
import * as Knex from 'knex';
import { IAntSqlModel } from '../../model/IAntSqlModel';
import { ISqlSecondaryEntityManager } from './ISqlSecondaryEntityManager';
import { SecondaryEntityManagerHelper } from './SecondayEntityManagerHelper';
export declare class AntSqlSecondaryEntityManager<TEntity extends IEntity> implements ISqlSecondaryEntityManager<TEntity> {
    protected _helper: SecondaryEntityManagerHelper<TEntity>;
    protected _model: IAntSqlModel;
    protected _dbConnection: Knex;
    constructor(model: IAntSqlModel, dbConnection: Knex);
    readonly model: IAntSqlModel;
    delete(id: string | number): Promise<any>;
    getById(id: string | number): Promise<TEntity>;
    getByIds(ids: number[] | string[]): Promise<TEntity[]>;
    getByIdsOrderedAsc(ids: number[] | string[]): Promise<TEntity[]>;
    insert(entity: TEntity): Promise<any>;
    mDelete(ids: string[] | number[]): Promise<any>;
    mInsert(entities: TEntity[]): Promise<any>;
    mUpdate(entities: TEntity[]): Promise<any>;
    update(entity: TEntity): Promise<any>;
}
//# sourceMappingURL=AntSqlSecondaryEntityManager.d.ts.map