"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AntTest_1 = require("./AntTest");
const AntSqlManagerTest_1 = require("./api/AntSqlManagerTest");
const AntSqlModelManagerTest_1 = require("./api/AntSqlModelManagerTest");
const DbServerAwaiterManager_1 = require("./await/DbServerAwaiterManager");
const AntSqlModelTest_1 = require("./model/AntSqlModelTest");
const SqlModelManagerTest_1 = require("./persistence/primary/SqlModelManagerTest");
const AntSqlSecondaryEntityManagerTest_1 = require("./persistence/secondary/AntSqlSecondaryEntityManagerTest");
const DBConnectionWrapper_1 = require("./persistence/secondary/DBConnectionWrapper");
const DBTestManager_1 = require("./persistence/secondary/DBTestManager");
const SecondaryEntityManagerHelperTest_1 = require("./persistence/secondary/SecondaryEntityManagerHelperTest");
class AllTest {
    constructor() {
        this._testManager = new DBTestManager_1.DBTestManager();
    }
    performTests() {
        new AntSqlManagerTest_1.AntSqlManagerTest().performTests();
        new AntSqlModelTest_1.AntSqlModelTest().performTests();
        new AntTest_1.AntTest().performTests();
        new SecondaryEntityManagerHelperTest_1.SecondaryEntityManagerHelperTest().performTests();
        const dBConnectionWrapper = new DBConnectionWrapper_1.DBConnectionWrapper();
        const fakeConnection = dBConnectionWrapper.fakeConnection;
        new SqlModelManagerTest_1.SqlModelManagerTest(fakeConnection, 'fake').performTests();
        for (const config of dBConnectionWrapper.config) {
            const connection = config.connection;
            const deleteAllTablesPromise = DbServerAwaiterManager_1.dbServerAwaiterManager.getTablesDeletedAwaiter(connection.client.driverName);
            new AntSqlModelManagerTest_1.AntSqlModelManagerTest(connection, connection.client.driverName).performTests();
            new AntSqlSecondaryEntityManagerTest_1.AntSqlSecondaryEntityManagerTest(deleteAllTablesPromise, connection, connection.client.driverName, this._testManager.getSecondaryEntityManagerGenerator(config.connection)).performTests();
        }
    }
}
exports.AllTest = AllTest;
//# sourceMappingURL=AllTests.js.map