"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ant_1 = require("../../ant");
const AntSqlModelManager_1 = require("../../api/AntSqlModelManager");
const AntSqlModel_1 = require("../../model/AntSqlModel");
const MAX_SAFE_TIMEOUT = Math.pow(2, 31) - 1;
const modelTestGen = (prefix) => new AntSqlModel_1.AntSqlModel('id', { prefix: prefix }, [{
        entityAlias: 'id',
        sqlName: 'id',
    }], prefix.replace(/\//g, '_'));
class AntSqlManagerTest {
    constructor() {
        this._declareName = 'AntSqlManagerTest';
    }
    performTests() {
        describe(this._declareName, () => {
            this._itMustGenerateAnAntModelManager();
        });
    }
    _itMustGenerateAnAntModelManager() {
        const itsName = 'mustGenerateAnAntModelManager';
        const prefix = this._declareName + '/' + itsName + '/';
        it(itsName, async (done) => {
            const model = modelTestGen(prefix);
            const manager = new ant_1.AntSqlManager();
            const antModelManager = manager.get(model);
            expect(antModelManager instanceof AntSqlModelManager_1.AntSqlModelManager).toBe(true);
            done();
        }, MAX_SAFE_TIMEOUT);
    }
}
exports.AntSqlManagerTest = AntSqlManagerTest;
//# sourceMappingURL=AntSqlManagerTest.js.map