"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DBTestManager_1 = require("../persistence/secondary/DBTestManager");
class DbServerAwaiter {
    constructor(millisPerRequest) {
        this._dbTestManager = new DBTestManager_1.DBTestManager();
        this._millisPerRequest = millisPerRequest;
    }
    awaitServer(connection) {
        const innerAwait = (connection, resolve) => {
            this._dbTestManager.ping(connection)
                .then(resolve)
                .catch(() => {
                setTimeout(() => { innerAwait(connection, resolve); }, this._millisPerRequest);
            });
        };
        return new Promise((resolve) => {
            innerAwait(connection, resolve);
        });
    }
}
exports.DbServerAwaiter = DbServerAwaiter;
//# sourceMappingURL=DbServerAwaiter.js.map