"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
const AntSqlModel_1 = require("../../model/AntSqlModel");
const AutoGenerationStrategyMode_1 = require("../../model/AutoGenerationStrategyMode");
const tableNameGenerator = (baseAlias) => 't_'
    + crypto
        .createHash('md5')
        .update(baseAlias)
        .digest('hex');
exports.modelGenerator = (keyGen, additionalColumns, autoGeneratedColumn) => {
    const idColumn = { entityAlias: 'id', sqlName: 'id' };
    if (idColumn.entityAlias === autoGeneratedColumn) {
        idColumn.autoGenerationStrategy = AutoGenerationStrategyMode_1.AutoGeneratedStrategyMode.AutoIncrement;
    }
    const columnsArgs = [idColumn];
    if (additionalColumns) {
        for (const column of additionalColumns) {
            if (column === autoGeneratedColumn) {
                columnsArgs.push({
                    autoGenerationStrategy: AutoGenerationStrategyMode_1.AutoGeneratedStrategyMode.AutoIncrement,
                    entityAlias: column,
                    sqlName: column,
                });
            }
            else {
                columnsArgs.push({ entityAlias: column, sqlName: column });
            }
        }
    }
    return new AntSqlModel_1.AntSqlModel('id', keyGen, columnsArgs, (keyGen.prefix ? tableNameGenerator(keyGen.prefix) : '')
        + (keyGen.prefix && keyGen.suffix ? '_' : '')
        + (keyGen.suffix ? tableNameGenerator(keyGen.suffix) : ''));
};
//# sourceMappingURL=AntSqlModelGenerator.js.map