import { IEntity } from '@antjs/ant-js/src/model/IEntity';
import * as Knex from 'knex';
import { IAntSqlModel } from '../../../model/IAntSqlModel';
import { ISqlSecondaryEntityManager } from '../../../persistence/secondary/ISqlSecondaryEntityManager';
import { ITest } from '../../ITest';
import { DBTestManager } from './DBTestManager';
export declare class AntSqlSecondaryEntityManagerTest implements ITest {
    protected _beforeAllPromise: Promise<any>;
    protected _dbConnection: Knex;
    protected _dbTestManager: DBTestManager;
    protected _declareName: string;
    protected _secondaryEntityManagerGenerator: <TEntity extends IEntity>(model: IAntSqlModel, knex: Knex) => ISqlSecondaryEntityManager<TEntity>;
    constructor(beforeAllPromise: Promise<any>, dbConnection: Knex, dbAlias: string, secondaryEntityManagerGenerator: <TEntity extends IEntity>(model: IAntSqlModel, knex: Knex) => ISqlSecondaryEntityManager<TEntity>);
    performTests(): void;
    private _itMustBeInitializable;
    private _itMustDeleteAnEntity;
    private _itMustDeleteMultipleEntities;
    private _itMustDeleteZeroEntities;
    private _itMustGetAnElementById;
    private _itMustGetAnUnexistingElementById;
    private _itMustGetMultipleElementsByIds;
    private _itMustGetMultipleElementsByIdsOrderedAsc;
    private _itMustInsertAnEntity;
    private _itMustInsertAnEntityWithAutoIncrementStrategy;
    private _itMustInsertMultieplEntities;
    private _itMustInsertMultipleEntitiesWithAutoIncrementStrategy;
    private _itMustInsertZeroEntities;
    private _itMustUpdateAnEntity;
    private _itMustUpdateMultipleEntities;
    private _itMustUpdateZeroEntities;
}
//# sourceMappingURL=AntSqlSecondaryEntityManagerTest.d.ts.map