import { IEntity } from '@antjs/ant-js/src/model/IEntity';
import * as Bluebird from 'bluebird';
import * as Knex from 'knex';
import { IAntSqlModel } from '../../../model/IAntSqlModel';
import { ISqlSecondaryEntityManager } from '../../../persistence/secondary/ISqlSecondaryEntityManager';
export declare class DBTestManager {
    createTable(dbConnection: Knex, name: string, primaryKeyColumn: {
        name: string;
        type: 'number' | 'string' | 'increments';
    }, otherColumns?: {
        [key: string]: 'number' | 'string';
    }): Promise<string>;
    deleteAllTables(dbConnection: Knex): Promise<any>;
    insert(dbConnection: Knex, table: string, entity: any): Promise<any>;
    createDatabaseIfNotExists(knex: Knex, dbName: string): Bluebird<any>;
    getSecondaryEntityManagerGenerator<TEntity extends IEntity>(knex: Knex): (model: IAntSqlModel, knex: Knex) => ISqlSecondaryEntityManager<TEntity>;
    listTables(knex: Knex): Bluebird<string[]>;
    ping(knex: Knex): Bluebird<any>;
}
//# sourceMappingURL=DBTestManager.d.ts.map